QtPlasmaC update problem

More
24 Oct 2021 23:35 #224147 by CFE
QtPlasmaC update problem was created by CFE
Hi all,

I have noticed that our QtPlasmaC is still on version v1.0.32 (Buildbot installation), although I have just last week and again this morning run "sudo update" and "sudo upgrade". Does anybody have clue why this is ?

Please Log in or Create an account to join the conversation.

More
24 Oct 2021 23:43 #224148 by phillc54
Replied by phillc54 on topic QtPlasmaC update problem
Are your apt sources pointing to "stretch" rather than "buster"

Please Log in or Create an account to join the conversation.

More
24 Oct 2021 23:46 #224149 by CFE
Replied by CFE on topic QtPlasmaC update problem
Hi Phil, the repositories are set to stretch. Cheers, Peter

Please Log in or Create an account to join the conversation.

More
25 Oct 2021 00:00 #224151 by phillc54
Replied by phillc54 on topic QtPlasmaC update problem
Then you will need to change them to buster, stretch has not been building master since around May.

Please Log in or Create an account to join the conversation.

More
25 Oct 2021 00:21 #224153 by CFE
Replied by CFE on topic QtPlasmaC update problem
Hi Phil, does that also mean I have to change the debian source to buster ? I run stretch at the moment.

Please Log in or Create an account to join the conversation.

More
25 Oct 2021 00:26 #224154 by phillc54
Replied by phillc54 on topic QtPlasmaC update problem
If you open a terminal in stretch and enter python3 what version does it return?

Please Log in or Create an account to join the conversation.

More
25 Oct 2021 00:43 #224155 by CFE
Replied by CFE on topic QtPlasmaC update problem
Hi Phil,

I get this from python3 :
plasma@Plasma:~$ python3
Python 3.5.3 (default, Sep 27 2018, 17:25:39)
[GCC 6.3.0 20170516] on linux

Please Log in or Create an account to join the conversation.

More
25 Oct 2021 00:50 #224157 by phillc54
Replied by phillc54 on topic QtPlasmaC update problem
Buster has python3.7, so your options at the moments are:
Stay on Stretch with an older version of QtPlasmaC and wait until the python versions are sorted.
Move to the Buster distribution.

Please Log in or Create an account to join the conversation.

More
25 Oct 2021 01:04 #224161 by CFE
Replied by CFE on topic QtPlasmaC update problem
Hi Phil,

I have upgraded to Buster, I suppose buildbot will upgrade LinuxCNC overnight before we see a version change ?

Please Log in or Create an account to join the conversation.

More
25 Oct 2021 01:10 #224163 by phillc54
Replied by phillc54 on topic QtPlasmaC update problem
The latest QtPlasmaC on bulildbot isĀ 1.215.107 which is from yesterday.

Did you change the sources in Synaptic?

Please Log in or Create an account to join the conversation.

Moderators: phillc54
Time to create page: 0.166 seconds
Powered by Kunena Forum